import { useSupabaseUser } from "./useSupabaseUser.mjs";
import { useCookie, useRuntimeConfig } from "#imports";
export const useSupabaseToken = () => {
  const user = useSupabaseUser();
  const { supabase: { cookies: cookieOptions } } = useRuntimeConfig().public;
  const cookieName = `${cookieOptions.name}-access-token`;
  const token = useCookie(cookieName);
  if (!token.value) {
    user.value = null;
  }
  return token;
};
